Use this API to update an existing User Mapping.
Resource URL
https://<subdomain>.onelogin.com/api/2/mappings/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Resource Parameter
id required integer | Set to the |
Request Parameters
| name required | The name of the mapping. | String |
| enabled required | Indicates if the mapping is enabled or not. | Boolean |
| match required | Indicates how conditions should be matched.
| String |
| position required | Indicates the order of the mapping. When null this will default to last position. | Integer |
| conditions required | An array of conditions that the user must meet in order for the mapping to be applied.
| Array |
| actions required | An array of actions that will be applied to the users that are matched by the conditions.
| Array |
Sample Request Body
{
"name": "Suspend users after 120 days inactive",
"match": "all",
"enabled": true,
"position": 1,
"conditions": [
{
"source": "last_login",
"operator": ">",
"value": "120"
}
],
"actions": [
{
"action": "set_status",
"value": "2"
}
]
}Sample Responses
- 200 OK
- 401 Unauthorized
- 422 Unprocessable Entity
{
"id": 1022697
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}ID should not be included in the payload body.
{
"code": 422,
"message": "Validation Failed",
"errors": [
{
"field": "id",
"message": [
"Field is not allowed"
]
}
]
}Response Elements
id | Unique ID for mapping in OneLogin. |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Update a Mapping
curl 'https://<subdomain>.onelogin.com/api/2/mappings/:id' \
-X PUT \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Suspend users after 120 days inactive",
"match": "all",
"enabled": true,
"position": 1,
"conditions": [
{
"source": "last_login",
"operator": ">",
"value": "120"
}
],
"actions": [
{
"action": "set_status",
"value": ["2"]
}
]
}'
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.